Skip to main content
ApiUsage

Get credit usage

View Markdown

Returns daily and monthly credit history plus the current balance for the authenticated organization.

GET/v1/usage/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

from?string

Inclusive start month (YYYY-MM).

Match^\d{4}-(0[1-9]|1[0-2])$
to?string

Inclusive end month (YYYY-MM).

Match^\d{4}-(0[1-9]|1[0-2])$
days?integer

Number of recent UTC days to return.

Default30
Range1 <= value <= 90

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/usage/"
{
  "success": true,
  "totalUsage": 0,
  "usage": [
    {
      "year": 0,
      "month": 1,
      "count": 0,
      "platform": {
        "property1": 0,
        "property2": 0
      }
    }
  ],
  "dailyUsage": [
    {
      "date": "2019-08-24",
      "count": 0,
      "monthly": 0,
      "purchased": 0
    }
  ],
  "balance": {
    "monthly": {
      "limit": 0,
      "used": 0,
      "remaining": 0,
      "cycleStart": "2019-08-24T14:15:22Z",
      "cycleEnd": "2019-08-24T14:15:22Z"
    },
    "purchased": {
      "total": 0,
      "used": 0,
      "remaining": 0
    }
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}